org.apache.ignite.internal.processors.odbc

## Class OdbcMessageParser

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcMessageParser

    public class OdbcMessageParser
    extends Object

ODBC message parser.

### Field Summary

Fields
`static long` `PROTO_VER` Current ODBC communication protocol version.
`static String` `PROTO_VER_SINCE` Apache Ignite version when ODBC communication protocol version has been introduced.

### Constructor Summary

Constructors
Constructor and Description
`OdbcMessageParser(GridKernalContext ctx)`

### Method Summary

Methods
`OdbcRequest` `decode(byte[] msg)` Decode OdbcRequest from byte array.
`byte[]` `encode(OdbcResponse msg)` Encode OdbcResponse to byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTO_VER

    public static final long PROTO_VER

Current ODBC communication protocol version.

See Also:
  Constant Field Values

#### PROTO_VER_SINCE

    public static final String PROTO_VER_SINCE

Apache Ignite version when ODBC communication protocol version has been introduced.

See Also:
  Constant Field Values

### Constructor Detail

#### OdbcMessageParser

    public OdbcMessageParser(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### decode

    public OdbcRequest decode(byte[] msg)

Decode OdbcRequest from byte array.

Parameters:
  `msg` - Message.
Returns:
  Assembled ODBC request.

#### encode

    public byte[] encode(OdbcResponse msg)

Encode OdbcResponse to byte array.

Parameters:
  `msg` - Message.
Returns:
  Byte array.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016